Re: SVP 4 Mac

Anybody knows what kind of mpv config and svp config to use for:
MacBook Pro (Retina, 15-inch, Late 2013)
Processor: 2.3Ghz
Memory: 16gb
Graphics: Nvidia Geforce GT 750M 2048 MB
Intel Iris Pro 1536 MB

Mac OS Sierra

I tried with normal settings and after around 1 hr the video gets choppy. I tried a lot of settings and none seem to work. Here's my current mpv config:

input-ipc-server=/tmp/mpvsocket
hwdec=videotoolbox-copy
hwdec-codecs=all
opengl-early-flush=no
hr-seek-framedrop=no

vo=opengl
opengl-pbo
dscale=mitchell
correct-downscaling
sigmoid-upscaling
icc-profile-auto
icc-contrast=1000
tscale=catmull_rom
dither-depth=auto
blend-subtitles=yes

Re: SVP 4 Mac

> after around 1 hr the video gets choppy

if it works good for 1 hour and then gets choppy then it's about overheating / throttling / etc

78 (edited by darkernight 18-03-2018 18:53:45)

Re: SVP 4 Mac

deleted

Re: SVP 4 Mac

even mine $$$$ LG's OLED shows the same artifacts as SVP does

3720QM + 650M are good at least while they're cool - I have no idea how good is MBP's cooling system

Re: SVP 4 Mac

Chainik wrote:

10.9 and 10.10 are supported now (again big_smile)
See there

is this post still valid?
using mavericks on some macs and like to try svp4mac for them. thank you!

Re: SVP 4 Mac

> is this post still valid?

for the current version - nope

"The last SVP version supporting 10.10 is 4.2.146!"

Re: SVP 4 Mac

Hello, I'm sorry to bother you guys, but I could really use some help. I have been trying to use SVP with Plex Media Player (Not Plex) on macOS Catalina (10.15.7). I noticed on the SVP Wiki Page - https://www.svp-team.com/wiki/SVP:Plex_Media_Player, it states to use PMP 2.58.0 with an mpv version earlier than 0.33. I've been having an extremely hard time installing an earlier version with the changes to homebrew over the last several months. I have tried everything I can think of, but I can't get homebrew to install an earlier version like 0.32.0 or 0.31.0, etc. The "Reinstall mpv in Homebrew" feature under Utilities in the menu installs an mpv version newer than 0.33. Could someone please help me figure this out? I would really appreciate it.

Thanks!

Re: SVP 4 Mac

I can only see 3 options:
- switch to Plex for Mac (not PMP) - the best choice you have big_smile
- ask via Github to make a new release: https://github.com/plexinc/plex-media-player - they made fixes for mpv 0.33 months ago but still not released the updated binaries.
- install mpv 0.32:

# curl https://raw.githubusercontent.com/Homebrew/homebrew-core/5ba081a042737a11d948371a0a6915ef668480f9/Formula/mpv.rb --output mpv.rb
# brew install ./mpv.rb

the good news they still have 0.32 bottles on the server, so it won't build from sources...

Re: SVP 4 Mac

Chainik wrote:

I can only see 3 options:
- switch to Plex for Mac (not PMP) - the best choice you have big_smile
- ask via Github to make a new release: https://github.com/plexinc/plex-media-player - they made fixes for mpv 0.33 months ago but still not released the updated binaries.
- install mpv 0.32:

# curl https://raw.githubusercontent.com/Homebrew/homebrew-core/5ba081a042737a11d948371a0a6915ef668480f9/Formula/mpv.rb --output mpv.rb
# brew install ./mpv.rb

the good news they still have 0.32 bottles on the server, so it won't build from sources...


Thank you so much for the quick response. Does Plex for Mac work with SVP? I've thought it was not supported (based on the SVP Plex Wiki page)?

Thanks again smile

Re: SVP 4 Mac

>  Does Plex for Mac work with SVP?

if Mac build is on par with Windows one than it should now work too (since ver. 1.26 /December 22, 2020)
it used to ignore external mpv.conf before 1.26, this is the only reason for "not supported"
and now it should probably read mpv.conf from ~/Library/Application Support/Plex/mpv.conf

Re: SVP 4 Mac

Chainik wrote:

>  Does Plex for Mac work with SVP?

if Mac build is on par with Windows one than it should now work too (since ver. 1.26 /December 22, 2020)
it used to ignore external mpv.conf before 1.26, this is the only reason for "not supported"
and now it should probably read mpv.conf from ~/Library/Application Support/Plex/mpv.conf

Thank you so much! I was finally able to get Plex for Mac working again smile I really appreciate it!

87 (edited by Rain 02-05-2021 21:19:14)

Re: SVP 4 Mac

Chainik wrote:

>  Does Plex for Mac work with SVP?

if Mac build is on par with Windows one than it should now work too (since ver. 1.26 /December 22, 2020)
it used to ignore external mpv.conf before 1.26, this is the only reason for "not supported"
and now it should probably read mpv.conf from ~/Library/Application Support/Plex/mpv.conf


Hello Chainik,

Sorry to bother you again, but I just encountered another issue with SVP on Mac. My Mac automatically updated to 10.15.7, and now whenever I open a video in SVP, I receive the following notification repeatedly: "Error initializing OpenCL Subsystem. Please re-install graphics drivers." I tried to re-install SVP, etc. but nothing has worked so far. I was on 10.15.6 before the auto-update occurred. I was wondering if you had any advice/suggestions on how to fix this issue? I'm not sure if it's a common problem on this OS version, or related to Apple depreciating support for OpenCL in favor of Metal. It was working alright prior to the update sad I would really appreciate your help. My Mac has an i7-8850H CPU, Intel UHD Graphics 630 (integrated), and an AMD Radeon Pro Vega 20 (dedicated). I don't believe there is a way for me to install graphics drivers on Mac. I think they are usually installed during OS updates.

Thank you so much!

Re: SVP 4 Mac

https://shapeof.com/archives/2021/4/app … acorn.html

Re: SVP 4 Mac


Thanks for the link! So Apple's update broke it. Is there (or will there be) a workaround "fix" for this? Apple's been edging towards completely depreciating it for over a year now, and unfortunately, I think it's extremely likely they won't fix this issue (or if they do, it will take several weeks/months) since it isn't most likely isn't a priority for them. It really irritates me they didn't even mention these changes in the update notes, etc.

Re: SVP 4 Mac

It's very unlikely they do this intentionally. And it still works in 11.3...
So all I can suggest now is downgrade to 10.15.6 or upgrade to 11.x or just wait for a fix.

Re: SVP 4 Mac

Chainik wrote:

It's very unlikely they do this intentionally. And it still works in 11.3...
So all I can suggest now is downgrade to 10.15.6 or upgrade to 11.x or just wait for a fix.

Wait... is it possible to downgrade to 10.15.6 without a time machine backup? Otherwise, I'll wait for a fix since Big Sur isn't compatible with certain applications I need for work/classes. Thanks again for all of the help smile

Re: SVP 4 Mac

> Wait... is it possible to downgrade to 10.15.6 without a time machine backup?

really have no idea... not possible? big_smile

Re: SVP 4 Mac

Chainik wrote:

> Wait... is it possible to downgrade to 10.15.6 without a time machine backup?

really have no idea... not possible? big_smile

Sorry for the late response - I've been extremely busy these last several days. As far as I know, it's impossible to downgrade to a specific version of a macOS major release unless you have a Time Machine backup (or something similar like CCC, etc.). Reinstalling macOS via Internet Recovery will install the latest version of the major release you select or the specific version of macOS the computer came with. There aren't any other options as far as I know which unfortunately makes it impossible to downgrade to 10.15.6 without a backup/restore point.

I have another question for you though - in my mpv.conf file, if I were to change hwdec=auto-copy to hwdec=videotoolbox-copy, would SVP 4 Mac still work (Sorry if it's a stupid question - I know what hwdec is, etc.)? I know hwdec=auto-copy is recommended in the Mac Video Player Wikis but I wanted to know if hwdec=videotoolbox-copy would work as well?

Re: SVP 4 Mac

as videotoolbox is the only hw decoder available on Mac then auto-copy is exactly the same

Re: SVP 4 Mac

Chainik wrote:

as videotoolbox is the only hw decoder available on Mac then auto-copy is exactly the same


Thanks for the explanation! I really appreciate it smile

Re: SVP 4 Mac

Hello, SVP has stopped working on my M1 mac with mpv 0.34.1_1 and vapoursynth--57 installed via homebrew. When attempting to install "SVP in VLC" utility, I receive a popup stating "Please install Vapoursynth via Homebrew". Vapoursynth has been installed. Reinstalling VLC, vapoursynth, and SVP did not help. What is wrong?

Re: SVP 4 Mac

does mpv work?
VLC must be correct version (for Apple Silicone)

Re: SVP 4 Mac

Thank you! I completely forgot to check VLC. Updated VLC to latest silicon release, and it is working. However, SVP is not working with the most recent mpv installed via brew. I think they compiled it without vapoursynth. MPV and IINA were working prior to the latest mpv brew install.